Bug 491194 - (radeon r100) Deadlock during shutdown with modesetting
(radeon r100) Deadlock during shutdown with modesetting
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-19 15:19 EDT by Warren Togami
Modified: 2010-03-23 20:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-23 20:06:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-03-19 15:19:27 EDT
Thinkpad T41 laptop with Radeon 7500 (r100) video

Modesetting, pretty graphical bootup and X all work fine.  During shutdown however there is trouble.

Stopping system message bus:             [  OK  ]
Stopping RPC idmapd:                     [  OK  ]
(At some point here the system appears to completely deadlock.  VT switching and echo stops working.  It seems unrelated to any particular service stopping, since it happens even if all services are turned off prior to shutdown.)

Sysrq works, however the modeset console does not print kernel messages so we cannot see what is going on.

"nomodeset" boot succeeds in shutting down without deadlocking, so we cannot use that to restore view of kernel messages during this modesetting-only deadlock.

Any suggestions?

Comment 1 Warren Togami 2009-04-01 19:15:30 EDT

Still broken.
Comment 2 Warren Togami 2009-04-09 17:47:08 EDT

Still broken.
Comment 3 Bug Zapper 2009-06-09 08:25:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 4 Jérôme Glisse 2009-10-14 07:03:47 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 5 Vedran Miletić 2010-03-23 20:06:58 EDT
Reporter doesn't reply for a long time, closing


Fedora Bugzappers volunteer triage team

Note You need to log in before you can comment on or make changes to this bug.